﻿.commmon-page-container {
    padding: 0px;
    height: 100%;
    display: grid;
    overflow-x: hidden;
    gap: 8px;
}

    .commmon-page-container::-webkit-scrollbar {
        width: 6px;
    }

    .commmon-page-container::-webkit-scrollbar-track {
        background-color: transparent;
        border-radius: 3px;
    }

    .commmon-page-container::-webkit-scrollbar-thumb {
        background-color: #909399;
        border-radius: 3px;
        cursor: pointer;
    }

.wrapper-container > .content-container .body-container {
    background-color: transparent;
}

.el-row .el-col, .el-row .el-col > div {
    height: 100%;
    border-radius: 4px;
}

.el-alert {
    padding: 20px 0;
    display: flex;
    flex-direction: column;
}

    .el-alert h3 {
        margin-bottom: 10px;
    }

    .el-alert.el-alert--primary.is-light {
        color: #409eff;
        background: rgb(217, 236, 255);
    }

    .el-alert.el-alert-top-border {
        border-top-width: 8px;
        border-top-style: solid;
        border-radius: 10px;
    }

.condition {
    padding: 20px;
    background: #fff;
    border-radius: 4px;
}

/*数据展示区*/
.data-area-container {
    display: flex;
}

    .data-area-container .data-area-content {
        border-radius: 10px;
        background: #fff;
        display: flex;
        align-items: center;
        padding: 0 20px;
    }

        .data-area-container .data-area-content i {
            padding: 10px;
            color: #fff;
            font-size: 18px;
            border-radius: 8px;
        }

        .data-area-container .data-area-content p {
            display: flex;
            flex-direction: column;
            margin-left: 10px;
        }

            .data-area-container .data-area-content p span {
                color: gray;
                font-size: 14px;
            }

            .data-area-container .data-area-content p b {
                font-size: 24px;
                margin-top: 7px;
            }

.plan i {
    background: #ffba1d;
}

.include-1 i {
    background: #58e5ce;
}

.include-2 i {
    background: #3899ff;
}

.include-3 i {
    background: #ef7070;
}


/*病历等级占比*/
#grade-container {
    background-color: #fff;
    display: flex;
}

/*27项国家指标*/
.record-indicators {
    background: #fff;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.indicators-condition {
    padding: 20px;
}

.record-indicators .indicators-condition .el-select {
    width: 100%;
}

#indicator-container {
    flex: 1;
}

/*质控项*/
.ranking-container {
    display: block;
}

.rule-ranking {
    background: #fff;
    display: flex;
    flex-direction: column;
}

    .rule-ranking .ranking-content {
        display: flex;
        flex-direction: column;
        overflow-y: hidden;
    }

        .rule-ranking .ranking-content .ranking-content-scroll {
            display: flex;
            flex-direction: column;
            gap: 8px;
            overflow-y: auto;
            padding: 0 20px;
        }

            .rule-ranking .ranking-content .ranking-content-scroll .ranking-item {
                display: flex;
                justify-content: space-between;
                line-height: 32px;
                color: #23456b;
                border-bottom: 1px dotted #d9ecff;
            }

            .rule-ranking .ranking-content .ranking-content-scroll .ranking-title {
                font-weight: 600;
                border-bottom: none !important;
                font-size: 14px;
                color: #6a7f9b !important;
                line-height: 14px;
            }

            .rule-ranking .ranking-content .ranking-content-scroll .ranking-item p {
                max-width: 85%;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }

                .rule-ranking .ranking-content .ranking-content-scroll .ranking-item p .el-tag {
                    margin-right: 5px;
                }

.ranking-item .ranking-index {
}

.ranking-score {
    border-radius: 17px;
    padding: 2px 10px;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    height: 20px;
}

.badge-high {
    color: #1e7e34;
    background: #e1f7e7;
}

.badge-lowest {
    color: #b13e3e;
    background: #ffeae9;
}

.badge-hit {
    background: #ecf5ff;
    color: #409EFF;
}

.quality-item {
    font-size: 14px;
    line-height: 28px !important;
}

/*弹窗*/
.all-info-dialog {
    height: 700px;
    width: 650px;
    display: flex;
    flex-direction: column;
}

    .all-info-dialog .el-dialog__body {
        flex: 1;
    }

/*科室病历单项否决*/
.veto {
    background: #fff;
    border-radius: 4px;
}

#veto-container {
    height: calc(100% - 50px);
    width: 100%;
}

/*标题*/
.title-manager {
    display: flex;
    justify-content: space-between;
    padding: 20px;
}

    .title-manager p {
        font-weight: 600;
        border-left: 4px solid #7f7ff8;
        padding-left: 10px;
    }
    .title-manager .el-link {
        color: #409EFF!important;
    }

    .rule-ranking .el-empty {
        padding: 0px;
    }
